<template>
  <div id="rewards">
    <h1>
      <img src="/images/shop/market/market-rewards-icon.png">
      Reward Members
    </h1>
    <table class="rewards clearfix">
      <thead>
        <tr>
          <th>Name</th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
          <th></th>
          <th>Signed up</th>
        </tr>
      </thead>
      <div
        style="width: 100%;"
        v-if="rewardsMembers.length > 0">
        <tbody>
          <tr
            v-for="member in rewardsMembers"
            :key="member.id">
            <td>{{ member.name }}</td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td>{{ moment.utc(member.created_at).local().format("h:mm A") }}</td>
          </tr>
        </tbody>
      </div>
      <tbody v-else>
        <tr>
          <td style="color: black; padding-left: 20px !important;" colspan="10">No one has signed up yet</td>
        </tr>
      </tbody>
    </table>
  </div>
  <!-- used in market, snackshop, and investment -->
</template>

<script>
export default {
  props: {
    rewardsMembers: Array
  }

}
</script>

<style scoped>
  h1 { color: black !important; }
  .rewards {
    background: none !important;
  }
  thead {
    background: rgba(0, 0, 0, 0.1) !important;
  }
  td {
    vertical-align: bottom !important;
  }
  td:last-of-type {
    padding: 2.2rem 0 !important;
  }
</style>
